import React, { useState } from 'react';
import './style.css';
import Card from './Card';
import axios from 'axios';

const Book = () => {
    const [search, setSearch] = useState("");
    const [bookData, setData] = useState([]);
    const searchBook = (evt) => {
        if (evt.key === "Enter") {
            console.log("Your book is "+evt.target.value);
            axios.get('https://www.googleapis.com/books/v1/volumes?q='+search+'&key=AIzaSyCuBc4M4u_aFC81oz7yNtM0PhoJEXIA3ik')
            .then(res=>console.log(res.data))
            .catch(err=>console.log(err))            
        }
    }
    return (
        <>
            <div className='header'>
                <div className='row1'>
                    <h1> "A library is a treasure trove of<br/>knowledge, wisdom, and wonder.</h1>
                </div>
                <div className='row2'>
                    <h2>Find Your Book</h2>
                    <div className='search'>
                        <input type='text' placeholder='Enter your Book Name' value={search} onChange={e=>setSearch(e.target.value)} onKeyPress={searchBook} />
                        <button><img src='images/search.png' alt='search google' /></button>
                    </div>
                    <img src='images/quiz.gif' alt='girl reading book' className='quizImg' />
                </div>
            </div>
            <div className='container'>
                {
                    <Card book={bookData} />
                }

            </div>

        </>
    )
}

export default Book